# fire raycast as the player to find the entity it's looking at
execute as @s at @s anchored eyes positioned ^ ^ ^ anchored feet run function swap_item:raycast/start_ray

# if the raycast finds an entity, proceeds with the first step
execute if predicate swap_item:chestplate if entity @e[tag=swapper,sort=nearest,limit=1] run function swap_item:swap/entity/chest/first_step

# send an error message if the target slot is invalid
execute unless predicate swap_item:chestplate if entity @e[tag=swapper,sort=nearest,limit=1] run tellraw @s {"text":"You can't swap these two items.","color":"dark_red","italic":false}

# send an error message if no entity is found
execute unless entity @e[tag=swapper,sort=nearest,limit=1] run tellraw @s {"text":"Look an entity to run this command.","color":"dark_red","italic":false}

# remove the tag used to indentify the looked entity
tag @e[tag=swapper,sort=nearest,limit=1] remove swapper

# set the triggered scoreboard default value (0)
scoreboard players set @s swapitem.entity.chest 0
